pro xyz_to_llr, xyz_in, omega, txyz, ll, r
; 
; Convert xyz to longitude, latitude, and radius. 
; Include rotation since t=0.
; 
; Input
;   xyz_in[3]= xyz coordinates of location
;   omega= rotation rate, radians/second
;   txyz= time since epoch (locaiton at t=0). seconds
;   
; Output
;   ll[2]= longitude and latitude (degrees)
;   r= radius
; 
; Created October 2019, Perry
; 
; 
; 

; Define output array
ll= fltarr(2)

r= sqrt( xyz_in[0]^2 + xyz_in[1]^2 + xyz_in[2]^2 )
ll[0]= !radeg * ( atan(xyz_in[1],xyz_in[0]) - omega*txyz )  ;Longitude
ll[1]= !radeg  * asin(xyz_in[2]/r)  ; Latitude

return
end